use crate::{markups::deletion_markup, Command};
use teloxide::{adaptors::Throttle, prelude::*, utils::command::BotCommands};

/// Handles the help command by sending the passwords descryptions
pub async fn help(bot: Throttle<Bot>, msg: Message) -> crate::Result<()> {
    bot.send_message(msg.chat.id, Command::descriptions().to_string())
        .reply_markup(deletion_markup())
        .await?;
    Ok(())
}
